<div class="title-component">
    <h3 mat-dialog-title>{{titleModal}}</h3>
</div>
    <form [formGroup]="validateFilters">
        <div class="mat-dialog-content">
            <div class="row wrap">
                <div class="col-12 text-aling-center">
                    <mat-form-field dividerColor="primary" class="width-size">
                        <input maxlength="50"  [formControl]="validateFilters.get('name')" (input)="validateSize('Nombre', validateFilters.get('name').value, 50)"  #name matInput placeholder="Nombre" autocomplete="off">
                        <mat-error *ngIf="formValidator.name.errors">
                            <div *ngIf="formValidator.name.errors?.maxlength">
                                Solo se permiten 50 caracteres
                            </div>
                            <div *ngIf="formValidator.name.errors?.validacion">
                                {{ formValidator.name.errors.validacion.message }}
                            </div>
                        </mat-error>
                    </mat-form-field>
                </div>
                <div class="col-12 text-aling-center">
                    <mat-form-field dividerColor="primary" class="width-size">
                        <input maxlength="11" [formControl]="validateFilters.get('document')" 
                        (input)="validateSize('Documento', validateFilters.get('document').value, 11)" 
                        (keypress)="validateNumbers($event)"  #document matInput 
                        placeholder="Documento" autocomplete="off">
                        <mat-error *ngIf="formValidator.document.errors">
                            <div *ngIf="formValidator.document.errors?.maxlength">
                                Solo se permiten 50 caracteres
                            </div>
                            <div *ngIf="formValidator.document.errors?.validacion">
                                {{ formValidator.document.errors.validacion.message }}
                            </div>
                        </mat-error>
                    </mat-form-field>
                </div>
                <div class="col-12 text-aling-center">
                    <mat-form-field dividerColor="primary" class="width-size">
                        <input maxlength="50" [formControl]="validateFilters.get('user')" 
                        (input)="validateSize('Usuario', validateFilters.get('user').value, 50)"
                        #user matInput placeholder="Usuario" autocomplete="off"> 
                        <mat-error *ngIf="formValidator.user.errors">
                            <div *ngIf="formValidator.user.errors?.maxlength">
                                Solo se permiten 50 caracteres
                            </div>
                            <div *ngIf="formValidator.user.errors?.validacion">
                                {{ formValidator.user.errors.validacion.message }}
                            </div>
                        </mat-error>
                    </mat-form-field>
                </div>
                <div class="col-12 text-aling-center" >
                    <mat-form-field class="width-size">
                        <mat-select placeholder="Seleccionar rol" #rol [formControl]="validateFilters.get('rol')">
                            <mat-option *ngFor="let option of dataRol" [value]="option.id">
                                {{option.name}}
                            </mat-option>
                        </mat-select>
                        <mat-error *ngIf="formValidator.rol.errors">
                            <div *ngIf="formValidator.rol.errors?.maxlength">
                                Solo se permiten 50 caracteres
                            </div>
                            <div *ngIf="formValidator.rol.errors?.validacion">
                                {{ formValidator.rol.errors.validacion.message }}
                            </div>
                        </mat-error>
                    </mat-form-field>
                </div>
                <div class="col-12 text-aling-center" >
                    <mat-form-field *ngIf="statusActivated" class="width-size">
                        <mat-select placeholder="Seleccionar estado" #status [formControl]="validateFilters.get('status')">
                            <mat-option *ngFor="let option of filterOptions" [value]="option.value">
                                {{option.label}}
                            </mat-option>
                        </mat-select>
                    </mat-form-field>
                </div>
            </div>
            <div mat-dialog-actions class="justify-center">
                <button mat-raised-button color="warn" mat-dialog-close class="space-buttom">Cancelar</button>
                <button mat-raised-button color="primary" (click)="action();" type="submit" class="space-buttom">Guardar</button>
            </div>
        </div>
    </form>